Skip to main content
PATCH
Update Data Export destination

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

id
string<string>
required

The Data Export destination ID

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Destination response

_id
string

The ID of this Data Export destination

Example:

"610addeadbeefaa86ec9a7d4"

The location and content type of related resources

Example:
name
string

A human-readable name for your Data Export destination

Example:

"example-destination"

kind
enum<string>

The type of Data Export destination

Available options:
google-pubsub,
kinesis,
mparticle,
segment,
azure-event-hubs,
snowflake-v2,
databricks,
bigquery,
redshift
Example:

"google-pubsub"

version
number
Example:

1

config
any

An object with the configuration parameters required for the destination type

Example:

"{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}"

on
boolean

Whether the export is on, that is, the status of the integration

Example:

true

_access
object

Details on the allowed and denied actions for this Data Export destination